GAME_ID=1009
DEBUG_PORT=10202
LOG4J2_FILE="conf/log4j2.xml"
JAR_NAME="lib/game-cluster-1.0.jar"
if [ ! -f "bin/is_test_env" ]; then
    JAVA_OPTS="-server -Xms512m -Xmx512m -Xmn128m -XX:SurvivorRatio=4 -XX:InitiatingHeapOccupancyPercent=75"
else
    JAVA_OPTS="-server -Xms256m -Xmx256m -Xmn128m -XX:SurvivorRatio=4 -XX:InitiatingHeapOccupancyPercent=75"
fi
JAVA_OPTS="$JAVA_OPTS -XX:+UseParNewGC -XX:+UseConcMarkSweepGC"
JAVA_OPTS="$JAVA_OPTS -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCApplicationStoppedTime -XX:+HeapDumpOnOutOfMemoryError -Xloggc:logs/flash_gc_$(date +"%Y%m%d%H%M").log"
JAVA_OPTS="$JAVA_OPTS -Dlog4j2.contextSelector=org.apache.logging.log4j.core.async.AsyncLoggerContextSelector"
JAVA_OPTS="$JAVA_OPTS -Dlog4j.configurationFile=${LOG4J2_FILE}"

SOURCE_DIR="third_party/wjtx/"
SOURCE_PATH="third_party/wjtx/trunk/"
PRE_COMPILE_CMD=""
COMPILE_CMD="mvn clean package install -Dmaven.test.skip=true"
POST_COMPILE_CMD=""
EXT_PKG_FILES="conf spring"
